Bug 571593 - [abrt] crash in xorg-x11-server-Xorg-1.7.99.901-8.20100223.fc13: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] crash in xorg-x11-server-Xorg-1.7.99.901-8.20100223.fc13: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:db712c4043cb3f5ff45a9a91587...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 17:56 EST by STEVEN WARD
Modified: 2010-09-07 02:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-07 02:19:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (10.27 KB, text/plain)
2010-03-08 17:56 EST, STEVEN WARD
no flags Details

  None (edit)
Description STEVEN WARD 2010-03-08 17:56:05 EST
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/X -nr -nolisten tcp :0 vt7 -auth /var/run/kdm/A:0-X9bmqk
comment: The graphics card I have is a 01:00.0 VGA compatible controller: nVidia Corporation NV40 [GeForce 6800 GT] (rev a1) (prog-if 00 [VGA controller])
component: xorg-x11-server
executable: /usr/bin/Xorg
kernel: 2.6.33-1.fc13.i686
package: xorg-x11-server-Xorg-1.7.99.901-8.20100223.fc13
rating: 3
reason: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Rawhide)

How to reproduce
-----
1.Compile and install DRM,Linux-.26 Kernel Modules for Nouveau,and xf86-video-nouveau from the git repositories
2.Re-boot and login as normal
3.open Konsole,then run glxgears
Comment 1 STEVEN WARD 2010-03-08 17:56:08 EST
Created attachment 398644 [details]
File: backtrace
Comment 2 Matěj Cepl 2010-04-08 17:22:12 EDT
Core was generated by `/usr/bin/X -nr -nolisten tcp :0 vt7 -auth /var/run/kdm/A:0-X9bmqk'.
Program terminated with signal 6, Aborted.
#0  0x009c2416 in __kernel_vsyscall ()

Thread 1 (Thread 1326):
#0  0x009c2416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0047ae91 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = 6156276
        selftid = 1326
#2  0x0047c75a in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x4c6371 <__libc_free+17>, 
            sa_sigaction = 0x4c6371 <__libc_free+17>}, sa_mask = {__val = {
              6156276, 3219430844, 3219430816, 3219430913, 1, 280, 6161632, 
              0, 584, 6156276, 104, 103, 3219431016, 4949480, 0, 173490912, 
              103, 173112792, 0, 4222451712, 173490912, 173491013, 173490912, 
              173490912, 173491015, 173491212, 173490912, 173491212, 0, 0, 0, 
              0}}, sa_flags = 0, sa_restorer = 0x10}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x00473f48 in __assert_fail (
    assertion=0x131900 "!nouveau_pushbuf_space(chan, min)", 
    file=0x1318ec "nouveau_pushbuf.c", line=273, 
    function=0x131924 "nouveau_pushbuf_flush") at assert.c:81
        buf = 0xa517dd8 "X: nouveau_pushbuf.c:273: nouveau_pushbuf_flush: Assertion `!nouveau_pushbuf_space(chan, min)' failed.\n"
#4  0x0013000f in nouveau_pushbuf_flush (chan=0x9bb25f0, min=0)
    at nouveau_pushbuf.c:273
        nvdev = <value optimized out>
        nvchan = 0x0
        nvpb = 0xc8
        req = {channel = 1, nr_buffers = 6, buffers = 163273088, 
          nr_relocs = 12, nr_push = 1, relocs = 163314056, push = 163260160, 
          suffix0 = 131072, suffix1 = 0, vram_available = 250298368, 
          gart_available = 268173312}
        i = <value optimized out>
        ret = 0
        __PRETTY_FUNCTION__ = "nouveau_pushbuf_flush"
#5  0x004031ec in FIRE_RING (i=0, blockData=0x0, pTimeout=0xbfe4a2dc, 
    pReadmask=0x822d0c0) at /usr/include/nouveau/nouveau_pushbuf.h:121
No locals.
#6  NVBlockHandler (i=0, blockData=0x0, pTimeout=0xbfe4a2dc, 
    pReadmask=0x822d0c0) at nv_driver.c:370
        pScreen = <value optimized out>
        pScrnInfo = 0x9ba3dc0
        pNv = <value optimized out>
#7  0x081b4d8b in ?? ()
No symbol table info available.
#8  0x080e764b in ?? ()
No symbol table info available.
#9  0x08073278 in BlockHandler ()
No symbol table info available.
#10 0x0809f0cc in WaitForSomething ()
No symbol table info available.
#11 0x0806db60 in ?? ()
No symbol table info available.
#12 0x08062575 in _start ()
No symbol table info available.
Comment 3 Ben Skeggs 2010-04-08 18:35:31 EDT
It's entirely likely you've managed to get into a mess across nouveau's ABI changes recently.  Can you run with a fedora kernel, and reinstall libdrm, xorg-x11-drv-nouveau and mesa-dri-drivers-experimental and retry please.
Comment 4 Bug Zapper 2010-07-30 07:00:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ben Skeggs 2010-09-07 02:19:43 EDT
Changing version back to 13, and closing.  Bug was likely a result of mixing incompatible bits of upstream with F13 bits.

Note You need to log in before you can comment on or make changes to this bug.